require_relative "../portus/migrate"

# :nocov:
namespace :migrate do
  # NOTE: this is only available from 2.0.x -> 2.1.x.
  # TODO: (mssola) prevent in the future to execute this if the version of
  # Portus is higher than 2.1.x. (should be deprecated in 2.2, and removed later
  # on).
  desc "Update personal namespaces"
  task update_personal_namespaces: :environment do
    Portus::Migrate.update_personal_namespaces!
  end

  # NOTE: this is only available from 2.0.x -> 2.1.x.
  # TODO: (mssola) prevent in the future to execute this if the version of
  # Portus is higher than 2.1.x. (should be deprecated in 2.2, and removed later
  # on).
  desc "Update LDAP user names"
  task update_ldap_names: :environment do
    unless APP_CONFIG.enabled?("ldap")
      Rails.logger.info "This only applies to LDAP setups..."
      exit 0
    end

    unless ENV["PORTUS_FORCE_LDAP_NAME_UPDATE"]
      print "Are you sure that you want to proceed with this ? (y/N) "
      opt = $stdin.gets.strip
      exit 0 if opt != "y" && opt != "Y" && opt != "yes"
    end

    Portus::Migrate.update_ldap_names!
  end
end
# :nocov:
